Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class suspend

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.suspend

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class suspend

extends DefaultInternalAction

Internal action: `.suspend(G)`.

Description: suspend goals G, i.e., all intentions trying to achieve G will stop running until the internal action `.resume` change the state of those intentions. A literal G is a goal if there is a triggering event `+!G` in any plan within any intention in I, E, PI, or PA.

Examples:

- `.suspend(go(1,3))`: suspends intentions to go to the location 1,3.
- `.suspend`: suspends the current intention.

See Also:
  `suspended`, `intend`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `resume`, Serialized Form

Field Summary
`static java.lang.String` | `SELF_SUSPENDED_INT`
`static java.lang.String` | `SUSPENDED_INT`

Constructor Summary
`suspend()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`
`boolean` | `suspendIntention()` Returns true if the internal action (IA) should suspend the intention where the IA is called

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUSPENDED_INT

    public static final java.lang.String SUSPENDED_INT

See Also:
  Constant Field Values

### SELF_SUSPENDED_INT

    public static final java.lang.String SELF_SUSPENDED_INT

See Also:
  Constant Field Values

Constructor Detail

### suspend

    public suspend()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### suspendIntention

    public boolean suspendIntention()

  Description copied from interface: `InternalAction`
  Returns true if the internal action (IA) should suspend the intention where the IA is called

  Specified by:
    `suspendIntention` in interface `InternalAction`
  Overrides:
    `suspendIntention` in class `DefaultInternalAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD